SquidGuard-squid3 1.4_7 pkg v.1.9.6 libldap-2.4.so.2 not found



  • Ok so where is it? lol

    Fresh install pfSense 2.2 Squid3 and SquidGuard-Squid3 installed. I got Squid3 to start, but Squidguard is giving me this error in the logs.

    Shared object "libldap-2.4.so.2" not found, required by "squidGuard"





  • I already read that one and mine is libldap-2.4.so.2 and theirs is libldap-2.4.so.8 and my pfsense box was installed 2 days ago. So are they going backwards in libldap versions? I was scratching my head when I seen .2 verses .8 and that post was order than when I installed it fresh. lol

    BTW when I do those ln links and change them to the .2 I get the message they are already there.



  • In that thread the next answer from me: https://forum.pfsense.org/index.php?topic=87591.msg484014#msg484014

    It was also libldap-2.4.so.2
    Read everything in that thread - maybe it helps.

    After reboots and adding a blacklist it worked.
    It also seems like after a reboot the service is always off until you surf some site via the proxy.

    Yes confusing and the answers from the pfSense nerds are often really short :D



  • Thanks for the Help, But honestly I'm Done.  I need a dependable pfsense box with proxy running. I'm just tired of fighting this and putting band-aids on it to run. Sad I really have been waiting for pfsense 2.2, but until Squid gets motivated and fixes the issues squid is unstable.

    I'm going to back to 2.1 with squid at least it installs and works flawless.

    Thanks for all the help.

    NOTE: pfsense 2.2 works perfect it's Squid that is the problem. So I'm not upset with pfSense



  • @Rickinfl:

    NOTE: pfsense 2.2 works perfect it's Squid that is the problem. So I'm not upset with pfSense

    Is it squid or squidguard that is the problem? The issues with Squid3.4 were fix last month, it works out of the box.
    If squidGuard is the problem, maybe you should edit your statement above.



  • Squid3 is working fine with even antivirus , but issue is web filter through squidguard or anything else is one of the most important function and should work out of the box.

    Right now i have reverted our boxes to 2.1 as web filtering is not working. Administrator, please understand, we are not programmers and patching here and there is difficult for us.



  • I had the same problem with squidguard and now im trying with pfsense 2.1.5. BTW i came from IPCOP.



  • I'm still at 2.1.5 and have no intentions of upgrading until the packages problems with the ones I use are finally sorted once and for all.



  • Try rebuilding blacklist datatabase save apply and restart



  • @Rickinfl:

    Shared object "libldap-2.4.so.2" not found, required by "squidGuard"

    Recreate symbolic links.

    
    ln -s /usr/pbi/squidguard-amd64/local/lib/libldap-2.4.so.2 /usr/lib/libldap-2.4.so.2
    ln -s /usr/pbi/squidguard-amd64/local/lib/libdb-5.3.so /usr/lib/libdb-5.3.so.0
    
    

    And then restart squidGuard



  • @fgupadmin:

    @Rickinfl:

    Shared object "libldap-2.4.so.2" not found, required by "squidGuard"

    Recreate symbolic links.

    
    ln -s /usr/pbi/squidguard-amd64/local/lib/libldap-2.4.so.2 /usr/lib/libldap-2.4.so.2
    ln -s /usr/pbi/squidguard-amd64/local/lib/libdb-5.3.so /usr/lib/libdb-5.3.so.0
    
    

    And then restart squidGuard

    This Fix worked for me, thanks!
    Running Pfsense 2.2.4
    Squid 4.3.10
    Squidguard 1.9.15



  • Fix for me too!
    Thanks!  8)


Log in to reply